Page MenuHomePhabricator

[llvm-objcopy] Add RISC-V support for -B/-O
ClosedPublic

Authored by rupprecht on Apr 29 2019, 11:57 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

rupprecht created this revision.Apr 29 2019, 11:57 AM
rupprecht edited the summary of this revision. (Show Details)Apr 29 2019, 11:58 AM

I recall @ruiu telling me that mips had a really odd endianness that wasn't accounted for by the standard ELFT types. Is that still true?

I recall @ruiu telling me that mips had a really odd endianness that wasn't accounted for by the standard ELFT types. Is that still true?

The mips changes here are just rearranging the map a bit -- the only thing added to the map is risc-v.

jorgbrown accepted this revision.Apr 29 2019, 5:55 PM
This revision is now accepted and ready to land.Apr 29 2019, 5:55 PM
MaskRay accepted this revision.Apr 30 2019, 1:05 AM
This revision was automatically updated to reflect the committed changes.
ruiu added a comment.May 7 2019, 8:23 PM

Some field in the MIPS ELF file is not neither little nor big endian but a middle-endian (i.e. its byte order is not ABCD nor DCBA but CDAB). That's still true. But that doesn't seem to be relevant to this patch.